import { Component, Input, OnInit } from '@angular/core';
import { MqttclientService } from '../mqttclient.service'

@Component({
  selector: 'heatingcontroller',
  template: `
  <div [ngStyle]="{ 'text-align': 'center', 'background-color':'lightgrey', 'border-radius':'10px', 
  'width': '150px', 'padding':'5px', 'margin': '5px',
  'font-family': 'sans-serif' }">
  {{label}}<br/>
  <button mat-mini-fab color="primary" (click)="clickOff()" [ngStyle]="{'font-size':'100%'}">off</button>
  <button mat-mini-fab color="primary" (click)="clickAbsent()" [ngStyle]="{'font-size':'100%'}">absent</button>
  <button mat-mini-fab color="primary" (click)="clickOn()" [ngStyle]="{'font-size':'100%'}">on</button>
  <br/>
  
  </div>
  `
  
})
export class HeatingControllerComponent implements OnInit {
  @Input() topic : string = 'invalid'
  @Input() label : string = 'invalid'
  
  constructor(private mqttclientService : MqttclientService) { }
  
  ngOnInit() {
  }
  
  clickOn() {
    console.log(`click on for ${this.topic}`)
    this.mqttclientService.publish(this.topic, "ON")
  }
  
  clickAbsent() {
    console.log(`click absent for ${this.topic}`)
    this.mqttclientService.publish(this.topic, "ABSENT")
  }
  
  clickOff() {
    console.log(`click off for ${this.topic}`)
    this.mqttclientService.publish(this.topic, "OFF")
  }
  
}

